#!/bin/tcsh -f



set dt = `date +%Y%m%d`
set excf = VDIF/exclude.txt
set opt = "--exclude-from ${excf} --exclude .svn --exclude .kdbg "
cd ../
find VDIF/ -name "*.o" > ${excf}
find VDIF/ -name "*~" >> ${excf}
#find VDIF/ -name ".svn" >> ${excf}
find VDIF/ -name "*.bak" >> ${excf}
find VDIF/ -name ".*" >> ${excf}
find VDIF/ -name "*.a" >> ${excf}
find VDIF/ -name "*.#" >> ${excf}
find VDIF/ -name "*.am" >> ${excf}
find VDIF/ -name "CVS" >> ${excf}
find VDIF/ -name "core.*" >> ${excf}

set cmd = "tar zcvf vdif-${dt}.tgz ${opt} VDIF/lib VDIF/app VDIF/script"
echo $cmd
$cmd
